
Foreman - Bug #10412

On clicking 'Device_identifier info_box  on add_interface form raises error: Operation FAILED:

undefined method `fetch' for nil:NilClass

05/07/2015 09:45 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Web Interface   

Target version: 1.8.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1218504 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2361

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1218504

Description of problem:

when you open add_interface modal window and click on info box, it doesn't expand. Also firebug raises:

"NetworkError: 500 Internal Server Error - https://dhcp201-172.englab.pnq.redhat.com/interfaces/new"

production.log: ===============

2015-05-05 11:54:48 [I] Processing by InterfacesController#new as JS

2015-05-05 11:54:48 [W] Operation FAILED: undefined method `fetch' for nil:NilClass

2015-05-05 11:54:48 [I]   Rendered common/500.html.erb (4.8ms)

2015-05-05 11:54:48 [I] Completed 500 Internal Server Error in 22ms (Views: 5.5ms | ActiveRecord: 2.1ms)

2015-05-05 11:55:02 [I] Processing by InterfacesController#new as JS

2015-05-05 11:55:02 [W] Operation FAILED: undefined method `fetch' for nil:NilClass

2015-05-05 11:55:02 [I]   Rendered common/500.html.erb (4.7ms)

2015-05-05 11:55:02 [I] Completed 500 Internal Server Error in 22ms (Views: 5.4ms | ActiveRecord: 2.1ms)

Version-Release number of selected component (if applicable):

sat6.1 GA snap2(Satellite-6.1.0-RHEL-7-20150429.2)

How reproducible:

always

Steps to Reproduce:

1. New_host --> add_interface --Device_identifier info_box/tool_tip

2.

3.

Actual results:

Operation FAILED: undefined method `fetch' for nil:NilClass in production.log

Couldn't open Device_identifier info_box on clicking it

Expected results:

on click, Device_identifier info_box should be expanded and no error thrown in logs

Additional info:

Associated revisions

Revision 87800278 - 05/08/2015 10:53 AM - Marek Hulán

Fixes #10412 - display interface tooltip after type change

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1218504
https://dhcp201-172.englab.pnq.redhat.com/interfaces/new


Revision 7f79b53d - 05/20/2015 07:21 AM - Marek Hulán

Fixes #10412 - display interface tooltip after type change

(cherry picked from commit 87800278486afe6ab48df0564249863f2527ddc6)

Conflicts:

app/assets/javascripts/host_edit.js

History

#1 - 05/07/2015 09:45 AM - Marek Hulán

- Category set to Web Interface

- Status changed from New to Assigned

#2 - 05/07/2015 09:48 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2361 added

- Pull request deleted ()

#3 - 05/08/2015 10:53 AM - Dominic Cleal

- translation missing: en.field_release set to 50

#4 - 05/08/2015 11:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 87800278486afe6ab48df0564249863f2527ddc6.
